Bug 500817 - ecryptfs-dot-private is not expected to be executed, remove the "x" permission
ecryptfs-dot-private is not expected to be executed, remove the "x" permission
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: ecryptfs-utils (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Michal Hlavinka
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 07:14 EDT by Michal Nowak
Modified: 2013-03-07 21:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-05-14 07:14:48 EDT
Description of problem:

[root@hp-ml370g4-01 Private]# ecryptfs-dot-private 
ERROR: This file must be sourced, rather than executed:

  . /usr/bin/ecryptfs-dot-private


Remove the executable permission from that file, so, the file is not accidentally executed, when walking thru ecryptfs* binaries. The exec permission is not necessary.

Version-Release number of selected component (if applicable):

ecryptfs-utils-75-1.el5
Comment 1 Michal Hlavinka 2009-05-18 10:31:44 EDT
only minor change in spec file
Comment 7 errata-xmlrpc 2009-09-02 05:57:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1307.html

Note You need to log in before you can comment on or make changes to this bug.